gr::lte::layer_demapper_vcvc Class Referenceabstract

Layer Demapper. More...

`#include <layer_demapper_vcvc.h>`

Inheritance diagram for gr::lte::layer_demapper_vcvc:
[legend]

## Public Types

typedef boost::shared_ptr< layer_demapper_vcvc > | sptr

## Public Member Functions

virtual void | set_N_ant (int N_ant)=0
virtual int | get_N_ant ()=0
virtual void | set_decoding_style (std::string style)=0
virtual std::string | get_decoding_style ()=0

## Static Public Member Functions

static sptr | make (int N_ant, int vlen, std::string style, std::string name="layer_demapper_vcvc")
| Return a shared_ptr to a new instance of lte::layer_demapper_vcvc. More...

## Detailed Description

Layer Demapper.

Parameters

  N_ant | number of antenna ports used in this system. Reconfigurable during runtime via message port
  vlen | vector length of in and output
  style | decoding style as given by LTE standard This block performs layer demapping as given by the ETSI 136211 document.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<layer_demapper_vcvc> gr::lte::layer_demapper_vcvc::sptr

## Member Function Documentation

## get_decoding_style()

virtual std::string gr::lte::layer_demapper_vcvc::get_decoding_style | ( |  | ) |

pure virtual

Implemented in gr::lte::layer_demapper_vcvc_impl.

## get_N_ant()

virtual int gr::lte::layer_demapper_vcvc::get_N_ant | ( |  | ) |

pure virtual

Implemented in gr::lte::layer_demapper_vcvc_impl.

## make()

static sptr gr::lte::layer_demapper_vcvc::make | ( | int | N_ant,
|  | int | vlen,
|  | std::string | style,
|  | std::string | name = `"layer_demapper_vcvc"`
| ) |  |

static

Return a shared_ptr to a new instance of lte::layer_demapper_vcvc.

To avoid accidental use of raw pointers, lte::layer_demapper_vcvc's constructor is in a private implementation class. lte::layer_demapper_vcvc::make is the public interface for creating new instances.

## set_decoding_style()

virtual void gr::lte::layer_demapper_vcvc::set_decoding_style | ( | std::string | style | ) |

pure virtual

Implemented in gr::lte::layer_demapper_vcvc_impl.

## set_N_ant()

virtual void gr::lte::layer_demapper_vcvc::set_N_ant | ( | int | N_ant | ) |

pure virtual

Implemented in gr::lte::layer_demapper_vcvc_impl.

The documentation for this class was generated from the following file:

- layer_demapper_vcvc.h